
<cfcomponent
	output="false"
	hint="I define the application settings and event handlers.">
	
	<!--- Define the application settings. --->
	<cfset this.name = hash( getCurrentTemplatePath() ) />
	<cfset this.applicationTimeout = createTimeSpan( 0, 1, 0, 0 ) />
	
	<!--- Get the root directory of the application. --->
	<cfset this.rootDirectory = getDirectoryFromPath(
		getCurrentTemplatePath()
		) />
		
	<!--- Set up the mapping for component directory. --->
	<cfset this.mappings[ "/com" ] = (
		this.rootDirectory & "com/"
		) />
		
	<!--- Set up the mapping for the data directory. --->
	<cfset this.mappings[ "/data" ] = (
		this.rootDirectory & "data/"
		) />
	
	<!--- Define the request settings. --->
	<cfsetting
		requesttimeout="10"
		showdebugoutput="false"
		/>
		
		
	<cffunction 
		name="onApplicationStart" 
		access="public" 
		returntype="boolean" 
		output="false" 
		hint="I initialize the application.">
		
		<!--- Define the local scope. --->
		<cfset var local = {} />
		
		<!--- Create and cache an instance of the task service component. --->
		<cfset application.taskService = createObject( "component", "/com.TaskService" )
			.init( expandPath( "/data/tasks.xml" ) )
			/>
			
		<!--- 
			Create a collection of API sessions. This will be a username-keyed 
			index of session information. 
		--->
		<cfset application.sessions = {} />
		
		<!--- Return true so the rest of the page can process. --->
		<cfreturn true />
	</cffunction>
	
	
	<cffunction 
		name="onRequestStart" 
		access="public" 
		returntype="boolean" 
		output="false" 
		hint="I initialize the request.">
		
		<!--- Check to see if the init flag is in the URL. --->
		<cfif structKeyExists( url, "init" )>
			
			<!--- Manually reset the application. --->
			<cfset this.onApplicationStart() />
		
		</cfif>
		
		<!--- Return true so the request can process. --->	
		<cfreturn true />
	</cffunction>
	
</cfcomponent>