
<!--- 
	Now that we are in the lists resource, let's figure out what 
	specific resource the user is looking for.
	
	GET:   /lists
	GET:   /lists/{ID}/tasks
--->
<cfif reFindNoCase( "^/lists$", api.resource )>

	<!--- 
		Make sure that user has made the supported method request. 
		This resource only responds to GET requests.
	--->
	<cfif (api.method neq "get")>
		
		<!--- Throw a method not allowed error. --->
		<cfthrow type="MethodNotAllowed" />
	
	</cfif>
	
	<!--- Include action. --->
	<cfinclude template="lists.cfm" />
	
<cfelseif reFindNoCase( "^/lists/[^/]+/tasks$", api.resource )>

	<!--- 
		Make sure that user has made the supported method request. 
		This resource only responds to GET requests.
	--->
	<cfif (api.method neq "get")>
		
		<!--- Throw a method not allowed error. --->
		<cfthrow type="MethodNotAllowed" />
	
	</cfif>
	
	<!--- Include action. --->
	<cfinclude template="tasks.cfm" />
	
<cfelse>

	<!--- 
		The given resource was not supported in this resource 
		family. Throw an exception. Don't worry about adding
		any additional error information - this is such a 
		generic error, it can be handled in a central manner.
	--->
	<cfthrow type="NotFound" />	
		
</cfif>
