
<!--- 
	This action gets the tasks contained in the given list.
	
	GET:   /lists/[^/]+/tasks
--->

<!--- Get the list from the resource. --->
<cfset taskList = listGetAt( api.resource, 2, "/" ) />

<!--- Get the tasks for this list and this authenticated user. --->
<cfset tasks = application.taskService.getTasksByList( taskList, api.username ) />


<!--- 
	Because this application stores task list as a property of the 
	tasks, not as a separate entity, we should get at least one 
	record. If we do not, then the user is requesting a task list 
	that does not exist. As such, we can throw a NotFound error 
	this time.
--->
<cfif tasks.recordCount>

	<!--- Create a collection for our returned tasks. --->
	<cfset api.data = [] />

	<!--- Loop over the tasks to add each one to the return data. --->
	<cfloop query="tasks">
		
		<!--- Create the normalized task object. --->
		<cfset taskItem = {
			id = tasks.id,
			task = tasks.task,
			dueDate = dateFormat( tasks.dueDate, "mmm d, yyyy" ),
			taskList = tasks.taskList
			} />
		
		<!--- Add this task to the response. --->
		<cfset arrayAppend( api.data, taskItem ) />		
	
	</cfloop>
	
<cfelse>

	<!--- 
		The task list was not returned in the list of tasks; throw a 
		not found error. Don't worry about adding any additional 
		error information - this is such a generic error, it can be 
		handled in a central  manner.
	--->
	<cfthrow type="NotFound" />		

</cfif>
