
<!--- 
	This action deletes the given task.

	POST:	/tasks/delete
--->

<!--- 
	Param the FORM variables. Notice that we are giving the 
	parameters defaults; this is so we can give more granular 
	error messages.
--->
<cfparam name="form.id" type="string" default="" />


<!--- ----------------------------------------------------- --->
<!--- ----------------------------------------------------- --->


<!--- Validate the post data. --->

<cfif !len( form.id )>

	<cfset arrayAppend(
		api.errors,
		"Please provide a task ID."
		) />

</cfif>


<!--- ----------------------------------------------------- --->
<!--- ----------------------------------------------------- --->


<!--- Check to see if there were any problems with the data. --->
<cfif arrayLen( api.errors )>

	<!--- 
		The user posted a bad request. Raise an malformed request
		exception. 
	--->
	<cfthrow type="BadRequest" />

</cfif>


<!--- Get the task at the given ID. --->
<cfset task = application.taskService.getTask( form.id ) />

<!--- 
	Check to see if we found a task AND that the task belonged 
	to the authorized user.
--->
<cfif !(
	task.recordCount &&
	(task.user eq api.username)	
	)>

	<!--- 
		The task either doesn't belong to the user or cannot be 
		found. Raise a not found exception.
	--->
	<cfthrow type="NotFound" />
	
</cfif>


<!--- Delete the task. --->
<cfset taskID = application.taskService.deleteTask( form.id ) />

<!--- Return the task with ID as the response. --->
<cfset api.data = {
	id = form.id,
	task = task.task,
	dueDate = dateFormat( task.dueDate, "mmm d, yyyy" ),
	taskList = task.taskList
	} />

	