
<!--- 
	This action gets the task at the given resource.
	
	GET:	/tasks/get/{ID}
--->

<!--- Get the ID of the requested resource. --->
<cfset taskID = listLast( api.resource, "/" ) />

<!--- Get the task. --->
<cfset task = application.taskService.getTask( taskID ) />

<!--- 
	Check to see if the data was returned AND that the task is 
	owned by the authenticated user.
--->
<cfif (
	task.recordCount &&
	(task.user eq api.username)	
	)>

	<!--- 
		Store the task as the data. When doing this, we are going 
		to convert the task query record into a struct so that it 
		serializes in a meaningful way.
	--->
	<cfset api.data = {
		id = task.id,
		task = task.task,
		dueDate = dateFormat( task.dueDate, "mmm d, yyyy" ),
		taskList = task.taskList
		} />

<cfelse>

	<!--- 
		The task was not returned; throw a not found error. 
		Don't worry about adding any additional error information 
		- this is such a generic error, it can be handled in a 
		central  manner.
	--->
	<cfthrow type="NotFound" />	

</cfif>

