
<!--- 
	Now that we are in the tasks resource, let's figure out what 
	specific resource the user is looking for.
	
	GET:	/tasks/get/{ID}
	POST:	/tasks/save
	POST:	/tasks/delete
--->
<cfif reFindNoCase( "^/tasks/get/[\w-]+$", api.resource )>

	<!--- 
		Make sure that user has made the supported method request. 
		This resource only responds to GET requests.
	--->
	<cfif (api.method neq "get")>
		
		<!--- Throw a method not allowed error. --->
		<cfthrow type="MethodNotAllowed" />
	
	</cfif>

	<!--- Include action. --->
	<cfinclude template="get.cfm" />
	
<cfelseif reFindNoCase( "^/tasks/save$", api.resource )>

	<!--- 
		Make sure that user has made the supported method request. 
		This resource only responds to POST requests.
	--->
	<cfif (api.method neq "post")>
		
		<!--- Throw a method not allowed error. --->
		<cfthrow type="MethodNotAllowed" />
	
	</cfif>
	
	<!--- Include action. --->
	<cfinclude template="save.cfm" />

<cfelseif reFindNoCase( "^/tasks/delete$", api.resource )>

	<!--- 
		Make sure that user has made the supported method request. 
		This resource only responds to POST requests.
	--->
	<cfif (api.method neq "post")>
		
		<!--- Throw a method not allowed error. --->
		<cfthrow type="MethodNotAllowed" />
	
	</cfif>
	
	<!--- Include action. --->
	<cfinclude template="delete.cfm" />
	
<cfelse>

	<!--- 
		The given resource was not supported in this resource 
		family. Throw an exception. Don't worry about adding
		any additional error information - this is such a 
		generic error, it can be handled in a central manner.
	--->
	<cfthrow type="NotFound" />	
		
</cfif>
